dbXML API

## org.dbxml.core.corba.db
Interface DatabaseOperations

All Superinterfaces:
  ServantManagementOperations

All Known Subinterfaces:
  Database

All Known Implementing Classes:
  DatabasePOA

public interface DatabaseOperations
extends ServantManagementOperations

Generated from IDL definition of interface "Database"

Author:
  JacORB IDL compiler

Method Summary
`Collection` `getCollection(java.lang.String path)`
`DatabaseManager` `getDatabaseManager()`
`java.lang.String` `getName()`
`java.lang.String[]` `listCollections()`

Methods inherited from interface org.dbxml.core.corba.db.ServantManagementOperations
`remove`

Method Detail

### getName

    public java.lang.String getName()
                             throws APIException

### getDatabaseManager

    public DatabaseManager getDatabaseManager()
                                       throws APIException

### listCollections

    public java.lang.String[] listCollections()
                                       throws APIException

### getCollection

    public Collection getCollection(java.lang.String path)
                             throws APIException

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved